pam_pkcs11 0.6.8

- Main Page
- Data Structures
- Files
- Directories

- Data Structures
- Data Fields

Data Fields
mapper_module_st Struct Reference

Structure to be filled on mapper module initialization. More...

`#include <mapper.h>`

## Data Fields

const char * | name
| mapper name
scconf_block * | block
| mapper configuration block
int | dbg_level
| debug level to set before call entry points
void * | context
| pointer to mapper local data
char **(* | entries )(X509 *x509, void *context)
| cert.
char *(* | finder )(X509 *x509, void *context, int *match)
| cert.
int(* | matcher )(X509 *x509, const char *login, void *context)
| cert-to-login matcher
void(* | deinit )(void *context)
| module de-initialization

## Detailed Description

Structure to be filled on mapper module initialization.

Definition at line 40 of file mapper.h.

## Field Documentation

scconf_block* block

mapper configuration block

Definition at line 44 of file mapper.h.

void* context

pointer to mapper local data

Definition at line 48 of file mapper.h.

int dbg_level

debug level to set before call entry points

Definition at line 46 of file mapper.h.

void(* deinit)(void *context)

module de-initialization

Definition at line 56 of file mapper.h.

char**(* entries)(X509 *x509, void *context)

cert.

entries enumerator

Definition at line 50 of file mapper.h.

char*(* finder)(X509 *x509, void *context, int *match)

cert.

login finder

Definition at line 52 of file mapper.h.

int(* matcher)(X509 *x509, const char *login, void *context)

cert-to-login matcher

Definition at line 54 of file mapper.h.

const char* name

mapper name

Definition at line 42 of file mapper.h.

The documentation for this struct was generated from the following file:

- mapper.h